/*
 * Created on Feb 18, 2004
 */
package org.python.core;

import java.io.IOException;
import java.util.zip.*;

/**
 * This class exists to expose the two-arg constructor of SyspathArchive and to hack getEntry to
 * work when the jar file name doesn't end with .jar.
 * @author Kent Johnson
 */
public class SyspathArchiveHack extends SyspathArchive {

    private ZipFile zipfileToo;

    public SyspathArchiveHack(ZipFile zipFile, String archiveName) throws IOException {
        super(zipFile, archiveName);
        zipfileToo = zipFile;
    }

    ZipEntry getEntry(String entryName) {
        return zipfileToo.getEntry(entryName);
    }
}
